Index: trunk/admin/admin.php
===================================================================
--- trunk/admin/admin.php	(revision 359)
+++ trunk/admin/admin.php	(revision 360)
@@ -139,5 +139,5 @@
 
 	try{
-	$dbi = new PDO("mysql:host=$dbhost;charset=latin1", $dbuname, $dbpass, array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE=>PDO::ERRMODE_EXCEPTION)); 
+	$dbi = new PDO("mysql:host=$dbhost;charset=utf8", $dbuname, $dbpass, array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE=>PDO::ERRMODE_EXCEPTION)); 
      	$sql = "use $dbname";
     	$dbi->exec($sql);
@@ -147,6 +147,18 @@
 	    echo $sql . "<br>" . $e->getMessage();
 	}                                                                                       	
-
-
+	$sth = $dbi->prepare("SET SESSION character_set_connection = 'utf8' ");
+	$sth->execute();
+	$sth = $dbi->prepare("SET SESSION character_set_client = 'utf8' ");
+	$sth->execute();
+	$sth = $dbi->prepare("SET SESSION character_set_database = 'utf8' ");
+	$sth->execute();
+	$sth = $dbi->prepare("SET CHARACTER SET utf8");
+	$sth->execute();
+
+	$sth = $dbi->prepare("SET NAMES 'utf8'");
+	$sth->execute();
+	$sth = $dbi->prepare("select * from ".$prefix."_config");
+	$sth->execute();
+	
 #		$dbi=mysql_connect($dbhost, $dbuname, $dbpass) or die("Connessione non riuscita: " . mysql_error());
 #		mysql_select_db($dbname)or die("Connessione non riuscita:" . mysql_error());
@@ -264,15 +276,23 @@
 $id_comune=$_SESSION['id_comune'];
 if($id_comune==0) $rifcomune='58047'; else $rifcomune=$id_comune;
-if (isset($_GET['id_cons_gen'])) $id_cons_gen=intval($_GET['id_cons_gen']);
+if (isset($_GET['id_cons_gen'])) {$id_cons_gen=intval($_GET['id_cons_gen']);}
 else {
-			$sql="SELECT t1.id_cons_gen FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons=t2.id_cons and  t2.id_comune='$id_comune'";
-			$sth = $dbi->prepare($sql);
-			$sth->execute();	
-			$row = $sth->fetch(PDO::FETCH_BOTH);
-			if($sth->rowCount())
-				$id_cons_gen=$row[0];
-			else
-			$id_cons_gen=0; #die("TEST IN CORSO : idconsgen: $id_cons_gen -- sql:select id_cons_gen  from ".$prefix."_ele_cons_comune where preferita='1' and (id_comune='$id_comune' or id_comune=0)");
-}
+	$oggi=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-3,date("Y")));
+	$sql="select t1.id_cons_gen from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune=$id_comune and t1.data_fine>'$oggi' and t2.id_cons in (select id_cons from ".$prefix."_ele_operatori where aid='$aid' and id_sez>0 and permessi>0) limit 0,1";
+	$rese = $dbi->prepare("$sql");
+	$rese->execute();
+	if($rese->rowCount()) 
+	{list($id_cons_gen)=$rese->fetch(PDO::FETCH_NUM); }
+	else {
+		$sql="SELECT t1.id_cons_gen FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons=t2.id_cons and  t2.id_comune='$id_comune'";
+		$sth = $dbi->prepare($sql);
+		$sth->execute();	
+		$row = $sth->fetch(PDO::FETCH_BOTH);
+		if($sth->rowCount())
+			$id_cons_gen=$row[0];
+		else
+		$id_cons_gen=0; #die("TEST IN CORSO : idconsgen: $id_cons_gen -- sql:$sql");
+	}
+} 
 $currentlang=$_SESSION['lang'];
 #$bgcolor1=$_SESSION['bgcolor1'];
@@ -281,6 +301,6 @@
 $session=$_SESSION['remote'];
 
-$perms=ChiSei($id_cons_gen);
-if($perms==0) logout();
+$perms=ChiSei($id_cons_gen); #die("qui".$_SESSION['aid']);
+if($perms==0) {logout();} 
 }
 
@@ -296,5 +316,4 @@
 $pwd=$_SESSION['pwd'];
 $id_comune=$_SESSION['id_comune'];
-
 
 $perms=0;
@@ -325,4 +344,5 @@
 		if($row[0]==0) $msglogout=1;
 	if ($sth->rowCount()==1) $perms=$row[0]; else {	$msglogout=1; $perms=0; }
+
 	return $perms;
 #} else return 0;
@@ -404,4 +424,5 @@
         Header("Location: admin.php?id_comune=$id_comune&language=$lang");
 */
+
 global $siteistat,$perms,$msglogout; 
 $language=$_SESSION['lang'];
@@ -432,14 +453,24 @@
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();	
-		if ($sth->rowCount()) list($id_cons) = $sth->fetch(PDO::FETCH_NUM);
-		$_SESSION['id_cons']=$id_cons;
+		if ($sth->rowCount()) {
+			list($id_cons) = $sth->fetch(PDO::FETCH_NUM);
+			$_SESSION['id_cons']=$id_cons;
+		}
 	} 
 	if(isset($id_cons)) {
-		$sql="SELECT id_sez FROM ".$prefix."_ele_operatori where id_cons=$id_cons and aid='$aid' and id_comune=$id_comune";
+		$sql="SELECT id_sez FROM ".$prefix."_ele_operatori where id_sez>0 and aid='$aid' and id_comune=$id_comune";
 		$resmod = $dbi->prepare("$sql");
 		$resmod->execute();				
-		list($id_sez) = $resmod->fetch(PDO::FETCH_NUM);
-		if($id_sez) $tema='Futura2';#die( "TEST id_cons:$id_cons:");
-		$_SESSION['tema']=$tema;
+		list($id_sez) = $resmod->fetch(PDO::FETCH_NUM); #die("qui:$id_sez:$sql");
+		if($id_sez) { 
+			$oggi=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-3,date("Y")));
+			$sql="select t1.id_cons_gen,t1.descrizione,t2.id_cons from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune=$id_comune and t1.data_fine>'$oggi' and t2.id_cons in (select id_cons from ".$prefix."_ele_operatori where aid='$aid' and id_sez>0 and permessi>0)";
+			$resmod = $dbi->prepare("$sql");
+			$resmod->execute();
+			if ($resmod->rowCount()>0) {
+				$tema='Futura2'; #die( "TEST id_cons:$id_cons:".$_SESSION['aid']);
+				$_SESSION['tema']=$tema;
+			} else logout();
+		}
 	}
 }
@@ -449,5 +480,6 @@
 if (isset($param['op'])) $op=addslashes($param['op']); else $op='ele';
 //if (isset($param['op'])) $op=$param['op']; else $op='ele';
-#die( "OP: $op");
+#
+#die("TEST: qui $aid $id_cons $id_sez ".$_SESSION['aid']);
 if (isset($_SESSION['aid']) AND $_SESSION['remote']==$_SERVER['REMOTE_ADDR']) {
 	if($tema=='Futura2' and $op!='logout') 
Index: trunk/admin/aggiornadb.php
===================================================================
--- trunk/admin/aggiornadb.php	(revision 359)
+++ trunk/admin/aggiornadb.php	(revision 360)
@@ -80,5 +80,5 @@
 
 
-$num=0;
+
 
 function controllo($tabella,$campo,$num)
@@ -93,7 +93,5 @@
 }
 
-$sql="SELECT * FROM information_schema.COLUMNS WHERE TABLE_SCHEMA = '$dbname' AND COLUMN_NAME = 'Versione'";	
-$res = $dbi->prepare("$sql");
-$res->execute();			
+$num=0;		
 
 if(!controllo($prefix.'_config','versione',++$num))
Index: trunk/admin/header.php
===================================================================
--- trunk/admin/header.php	(revision 359)
+++ trunk/admin/header.php	(revision 360)
@@ -62,4 +62,5 @@
     echo "<html>\n";
     echo "<head>\n";
+#	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso8859-1\">\n";
 	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n";
 	echo "<meta http-equiv=\"Pragma\" content=\"no-cache\">\n";
Index: trunk/admin/modules/Elezioni/ele_candidato.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_candidato.php	(revision 359)
+++ trunk/admin/modules/Elezioni/ele_candidato.php	(revision 360)
@@ -283,9 +283,10 @@
  	    		}else{
 				$pro= $sthcan->fetch(PDO::FETCH_BOTH);
+				$dati = htmlentities($_pro['cognome'], ENT_QUOTES, "UTF-8");
 				$sql="delete from ".$prefix."_ele_candidati where id_cand='$id_cand'";
 				$sth = $dbi->prepare("$sql");
 				$sth->execute();
 				$result=$sth->rowCount();
-				$sql="insert into ".$prefix."_ele_log values ('$id_cons','$id_sez','$username','$data','$tempo','DELETE:id_lista:$pro[id_lista],cognome:$pro[cognome],nome:$pro[nome]','','".$prefix."_ele_candidati')";
+				$sql="insert into ".$prefix."_ele_log values ('$id_cons','$id_sez','$username','$data','$tempo','DELETE:id_lista:$pro[id_lista],cognome:$dati,nome:$codifica:$pro[nome]','','".$prefix."_ele_candidati')";
 				$sth = $dbi->prepare("$sql");
 				$sth->execute();
Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 359)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 360)
@@ -16,10 +16,17 @@
 	list($maschi,$femmine)=$res->fetch(PDO::FETCH_NUM);
 
-	$sql="select voti_uomini,voti_donne,voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_parz='$id_parz'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	while(list($voti_u,$voti_d,$voti_t)=$res->fetch(PDO::FETCH_NUM))
-		if((($voti_u+$voti_d!=$voti_t && $voti_u+$voti_d>0) || $voti_u>$maschi || $voti_d>$femmine || $voti_t>$maschi+$femmine) ) {$err=1; break;}
-
+	$sql="select voti_uomini,voti_donne,voti_complessivi,id_gruppo from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' order by id_gruppo,data,orario";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$votiu2=0;$votid2=0;$votit2=0;$idg2=-1;
+	while(list($voti_u,$voti_d,$voti_t,$idg)=$res->fetch(PDO::FETCH_NUM)) {
+		if($idg2!=$idg) {
+			$votiu2=0;$votid2=0;$votit2=0;
+			$idg2=$idg;
+		}
+		if((($voti_u+$voti_d!=$voti_t && $voti_u+$voti_d>0) || $voti_u>$maschi || $voti_d>$femmine || $voti_t>$maschi+$femmine ||$voti_u<$votiu2 ||$voti_d<$votid2 || $voti_t<$votit2) ) {
+			$err=1; break;}
+		$votiu2=$voti_u;$votid2=$voti_d;$votit2=$voti_t;
+	}
 	$tipo='affluenze';
 	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
@@ -28,8 +35,8 @@
 	$righe=$res->rowCount();
 	if($righe){
-		while(list($id)=$res->fetch(PDO::FETCH_NUM)){
-			if($id==$id_parz){
+		while(list($id)=$res->fetch(PDO::FETCH_NUM)){#die("$sql");
+#			if($id==$id_parz){
 				if(!$err){ 
-					$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_parz' ";
+					$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
 					$res = $dbi->prepare("$sql");
 					$res->execute();
@@ -38,9 +45,9 @@
 				$err=0;
 				break;
-			}					
+#			}					
 		}
 	}
 	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_parz')";
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$idg2')";#die("$sql");
 		$res = $dbi->prepare("$sql");
 		$res->execute();		
@@ -141,11 +148,11 @@
 		##############################
 	$err=0; $err2=0;
-	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'"; 
 	$resref = $dbi->prepare("$sql");
 	$resref->execute();	
-	$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+	$sql="SELECT sum(voti),count(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
 	$resref = $dbi->prepare("$sql");
 	$resref->execute();
-	list($votig)=$resref->fetch(PDO::FETCH_NUM);
+	list($votig,$numrec)=$resref->fetch(PDO::FETCH_NUM);
 	$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
 	$res3 = $dbi->prepare("$sql");
@@ -156,5 +163,5 @@
 	$res2->execute();
 	list($validi) = $res2->fetch(PDO::FETCH_NUM);
-	if($validi) {
+	if($validi and $numrec) {
 		$status=0;
 		$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
@@ -382,5 +389,5 @@
 
 		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' "; 
+			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id='$id_lista'"; 
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -388,5 +395,5 @@
 
 	if($err){
-		$sql="select * from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' "; 
+		$sql="select * from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id='$id_lista'"; 
 		$res = $dbi->prepare("$sql");
 		$res->execute();
@@ -395,5 +402,5 @@
 			$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_lista')";
 			$res = $dbi->prepare("$sql");
-			$res->execute();	
+			$res->execute();	#die("TEST $sql");
 		}
 	}
Index: trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_lista.php	(revision 359)
+++ trunk/admin/modules/Elezioni/ele_lista.php	(revision 360)
@@ -26,8 +26,8 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (isset($param['mex'])) $mex=addslashes($param['mex']); else $mex='';
-if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
+if (isset($param['mex'])) $mex=htmlentities($param['mex'], ENT_QUOTES, "UTF-8"); else $mex='';
+if (isset($param['do'])) $do=htmlentities($param['do'], ENT_QUOTES, "UTF-8"); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
-if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
+if (isset($param['ok'])) $ok=htmlentities($param['ok'], ENT_QUOTES, "UTF-8"); else $ok='';
 if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista=0;
 if (isset($param['id_circ'])) {$id_circ=intval($param['id_circ']); $_SESSION['id_circ']=$id_circ;} else
@@ -36,4 +36,5 @@
 if (isset($param['id_gruppo2'])) $id_gruppo2=intval($param['id_gruppo2']); else $id_gruppo2=0;
 if (isset($param['num_lista'])) $num_lista=intval($param['num_lista']); else $num_lista=0;
+#if (isset($param['descr_lista'])) $descr_lista=htmlentities($param['descr_lista']); else $descr_lista='';
 if (isset($param['descr_lista'])) $descr_lista=addslashes($param['descr_lista']); else $descr_lista='';
 if (isset($param['simbolo'])) $simbolo=addslashes($param['simbolo']); else $simbolo='';
@@ -268,9 +269,10 @@
 		$stemmacontents = fread ($fdstemma, filesize ("$filestemma"));
 		fclose ($fdstemma);
-		$stemmablob=addslashes($stemmacontents);
-		$stemmanome=addslashes($nomestemma);
+		$stemmablob=addslashes($stemmacontents); 
+		$stemmanome=($nomestemma);
 		$cond=", simbolo='$stemmanome', stemma='$stemmablob'";
 		} else {$cond='';}
 		$sql="update  ".$prefix."_ele_lista set  num_lista='$num_lista' , id_gruppo='$id_gruppo',descrizione='$descr_lista' $cond  where id_lista='$id_lista'";
+#die("TEST: $sql");		
 		$result = $dbi->prepare("$sql");
 		$result->execute();						
